Move to a project
curl --request POST \
--url https://api.eesi.ai/v1/speech/transcriptions/{session_id}/project \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project": "presidential-speeches"
}
'import requests
url = "https://api.eesi.ai/v1/speech/transcriptions/{session_id}/project"
payload = { "project": "presidential-speeches" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({project: 'presidential-speeches'})
};
fetch('https://api.eesi.ai/v1/speech/transcriptions/{session_id}/project', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eesi.ai/v1/speech/transcriptions/{session_id}/project",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project' => 'presidential-speeches'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eesi.ai/v1/speech/transcriptions/{session_id}/project"
payload := strings.NewReader("{\n \"project\": \"presidential-speeches\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eesi.ai/v1/speech/transcriptions/{session_id}/project")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project\": \"presidential-speeches\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eesi.ai/v1/speech/transcriptions/{session_id}/project")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project\": \"presidential-speeches\"\n}"
response = http.request(request)
puts response.read_body{
"id": "097e5805-ca84-46a4-addb-69712072b960",
"project": {
"id": "e4af92a4-3bf6-467b-95a2-7b04fb610d1c",
"key": "presidential-speeches",
"name": "Presidential speeches",
"speakers": [
{
"id": "cfb15e2e-5dd2-42b8-bccc-f4f78cae747c",
"number": 2,
"name": "Franklin D. Roosevelt",
"label": "P2",
"clip_count": 4,
"evidence_seconds": 121.3
},
{
"id": "c5b9be33-e08b-4cca-81ad-65387bf33622",
"number": 3,
"name": "John F. Kennedy",
"label": "P3",
"clip_count": 2,
"evidence_seconds": 72
}
]
},
"intelligence": {
"status": "queued",
"run_id": "3e279889b99b"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Audio intelligence
Move to a project
File a recording in a project, or take it out with "project": null.
Its speakers are matched against the project’s people and the analysis runs
again. A key that does not exist yet creates the project.
POST
/
v1
/
speech
/
transcriptions
/
{session_id}
/
project
Move to a project
curl --request POST \
--url https://api.eesi.ai/v1/speech/transcriptions/{session_id}/project \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project": "presidential-speeches"
}
'import requests
url = "https://api.eesi.ai/v1/speech/transcriptions/{session_id}/project"
payload = { "project": "presidential-speeches" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({project: 'presidential-speeches'})
};
fetch('https://api.eesi.ai/v1/speech/transcriptions/{session_id}/project', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eesi.ai/v1/speech/transcriptions/{session_id}/project",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project' => 'presidential-speeches'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eesi.ai/v1/speech/transcriptions/{session_id}/project"
payload := strings.NewReader("{\n \"project\": \"presidential-speeches\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eesi.ai/v1/speech/transcriptions/{session_id}/project")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project\": \"presidential-speeches\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eesi.ai/v1/speech/transcriptions/{session_id}/project")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project\": \"presidential-speeches\"\n}"
response = http.request(request)
puts response.read_body{
"id": "097e5805-ca84-46a4-addb-69712072b960",
"project": {
"id": "e4af92a4-3bf6-467b-95a2-7b04fb610d1c",
"key": "presidential-speeches",
"name": "Presidential speeches",
"speakers": [
{
"id": "cfb15e2e-5dd2-42b8-bccc-f4f78cae747c",
"number": 2,
"name": "Franklin D. Roosevelt",
"label": "P2",
"clip_count": 4,
"evidence_seconds": 121.3
},
{
"id": "c5b9be33-e08b-4cca-81ad-65387bf33622",
"number": 3,
"name": "John F. Kennedy",
"label": "P3",
"clip_count": 2,
"evidence_seconds": 72
}
]
},
"intelligence": {
"status": "queued",
"run_id": "3e279889b99b"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
BearerAuthApiKeyHeader
Your EESI API key, sk-eesi-....
Path Parameters
Body
application/json
A project id or key; null takes the run out of its project.
A project id or key. A new key creates the project; null takes the recording out.
Maximum string length:
128Response
Successful Response
The response is of type Response Assign Session Project V1 Speech Transcriptions Session Id Project Post · object.